Javadoc.DocletInfo (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: Javadoc, class: DocletInfo

# Class Javadoc.DocletInfo

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.taskdefs.Javadoc.ExtensionInfo
org.apache.tools.ant.taskdefs.Javadoc.DocletInfo

All Implemented Interfaces:
  `Cloneable`

Enclosing class:
  `Javadoc`

public class Javadoc.DocletInfo extends Javadoc.ExtensionInfo
This class stores info about doclets.

Since:
  Ant 1.1

- ## Field Summary

  ### Fields inherited from class ProjectComponent

  `description, location, project`
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  Deprecated.
  since 1.6.x.
  `protected Location`
  `location`
  Deprecated.
  since 1.6.x.
  `protected Project`
  `project`
  Deprecated.
  since 1.6.x.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocletInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Javadoc.DocletParam`
  `createParam()`
  Create a doclet parameter to be configured by Ant.
  `Enumeration<Javadoc.DocletParam>`
  `getParams()`
  Get the doclet's parameters.

  ### Methods inherited from class Javadoc.ExtensionInfo

  `createPath, getName, getPath, setName, setPath, setPathRef`
  Modifier and Type
  Method
  Description
  `Path`
  `createPath()`
  Create an empty nested path to be configured by Ant with the classpath for the extension.
  `String`
  `getName()`
  Get the name of the extension.
  `Path`
  `getPath()`
  Get the extension's path.
  `void`
  `setName(String name)`
  Set the name of the extension
  `void`
  `setPath(Path path)`
  Set the path to use when loading the component.
  `void`
  `setPathRef(Reference r)`
  Adds a reference to a CLASSPATH defined elsewhere.

  ### Methods inherited from class ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String`
  `getDescription()`
  Returns the description of the current action.
  `Location`
  `getLocation()`
  Returns the file/location where this task was defined.
  `Project`
  `getProject()`
  Returns the project to which this component belongs.
  `void`
  `log(String msg)`
  Logs a message with the default (INFO) priority.
  `void`
  `log(String msg, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `setDescription(String desc)`
  Sets a description of the current action.
  `void`
  `setLocation(Location location)`
  Sets the file/location where this task was defined.
  `void`
  `setProject(Project project)`
  Sets the project object of this component.

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocletInfo

    public DocletInfo()

- ## Method Details

  - ### createParam

    public Javadoc.DocletParam createParam()
    Create a doclet parameter to be configured by Ant.
    Returns:
      a new DocletParam instance to be configured.

  - ### getParams

    public Enumeration<Javadoc.DocletParam> getParams()
    Get the doclet's parameters.
    Returns:
      an Enumeration of DocletParam instances.